# `stm32f103-template`

> Quickly set up a [`probe-run`] + [`defmt`] + [`flip-link`] embedded project

[`probe-run`]: https://crates.io/crates/probe-run
[`defmt`]: https://github.com/knurling-rs/defmt
[`flip-link`]: https://github.com/knurling-rs/flip-link

## Dependencies

#### 1. `flip-link`:

```console
$ cargo install flip-link
```

#### 2. `probe-run`:

``` console
$ # make sure to install v0.2.0 or later
$ cargo install probe-run
```

#### 3. [`cargo-generate`]:

``` console
$ cargo install cargo-generate
```

[`cargo-generate`]: https://crates.io/crates/cargo-generate


## Setup

#### 1. Initialize the project template

``` console
$ cargo generate \
    --git ssh://git@gitea.zenerdio.de:2202/sebastian/stm32f103-template.git \
    --branch main \
    --name my-app
```

## License
- MIT license ([LICENSE-MIT](LICENSE-MIT) or http://opensource.org/licenses/MIT)

## Original Work
Based on the awsome [app-template](https://github.com/knurling-rs/app-template) by knurling-rs.
